{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to search for Single Sends based on specified criteria.**\n\nYou can search for Single Sends by passing a combination of values using the `name`, `status`, and `categories` request body fields.\n\nFor example, if you want to search for all Single Sends that are \"drafts\" or \"scheduled\" and also associated with the category \"shoes,\" your request body may look like the example below.\n\n```javascript\n{\n  \"status\": [\n    \"draft\",\n    \"scheduled\"\n  ],\n  \"categories\": [\n    \"shoes\"\n  ],\n}\n```","properties":{"query":{"type":"object","properties":{"page_size":{"type":"integer"},"page_token":{"type":"string"}},"required":[],"additionalProperties":false},"body":{"$ref":"#/definitions/SinglesendSearch"}},"required":[],"additionalProperties":false,"definitions":{"SinglesendSearch":{"title":"singlesend_search","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":100,"description":"leading and trailing wildcard search on name of the Single Send"},"status":{"type":"array","description":"current status of the Single Send","uniqueItems":true,"items":{"allOf":[{"$ref":"#/definitions/Items"},{"type":"string"}]}},"categories":{"type":"array","description":"categories to associate with this Single Send, match any single send that has at least one of the categories","uniqueItems":true,"items":{"type":"string"}}}},"Items":{"type":"string","enum":["draft","scheduled","triggered"]}}},"name":"Get Single Sends Search","id":"sendgrid.mc_singlesends.searchsinglesend","example":{},"maxRequests":1,"summary":false}}